repositories{    
  jcenter()
  flatDir {
      dirs 'libs'
   }
}

dependencies {
    compile(name:"jsgzsdk",ext: 'aar')
    implementation 'com.android.support:appcompat-v7:28.+'
    //必须添加如下依赖！！！
    implementation 'com.android.support:recyclerview-v7:28.+'
    implementation 'com.google.code.gson:gson:2.8.0'
    implementation 'com.alibaba:fastjson:1.2.31'
    implementation 'com.lzy.net:okgo:3.0.4'
    implementation ('com.github.bumptech.glide:glide:4.8.0'){
        exclude group:"com.android.support"
    }
    implementation "com.android.support:exifinterface:28.+"
    implementation 'com.otaliastudios:cameraview:1.5.0'
}

android {
  packagingOptions {
    exclude 'META-INF/NOTICE'
    exclude 'META-INF/LICENSE'
  }

  aaptOptions {
    noCompress "dat"
  }
}

configurations.all {
    resolutionStrategy.eachDependency { DependencyResolveDetails details ->
        def requested = details.requested
        if (requested.group == 'com.android.support') {
            if (!requested.name.startsWith("multidex")) {
                details.useVersion '28.0.0'
            }
        }
    }
}